Bug 119401 - Selecting text with hyperlink takes only first letter and tries to move it
Summary: Selecting text with hyperlink takes only first letter and tries to move it
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink Selection
  Show dependency treegraph
 
Reported: 2018-08-21 13:01 UTC by david.cortes.rivera
Modified: 2022-07-06 03:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: https://crashreport.libreoffice.org/stats/crash_details/2e61f7fb-7f2e-43eb-b9e8-634b500ed4c9
Regression By:


Attachments
file that shows the problem (12.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-08-21 13:01 UTC, david.cortes.rivera
Details

Note You need to log in before you can comment on or make changes to this bug.
Description david.cortes.rivera 2018-08-21 13:01:10 UTC
Created attachment 144346 [details]
file that shows the problem

If I create some document with a hyperlink in MS word and then open the same document in LO writer, when I try to select the text that has the hyperlink with the mouse, it will, instead of selecting as I move the mouse, select only the first letter and then try to move it to wherever the mouse is moving while holding the click.

Attached is a simple example. In order to reproduce it:
-Open the file with LO Writer.
-Shift the current focus towards the end of the sentence.
-Try to select the word "click" by pointing the mouse at the beginning of it (right before the "c"), clicking it, and moving the mouse to the right while holding the click.

Expected behavior:
-Should highlight and select the word "click" as you move the mouse to the right.

Actual behavior:
-Selects "c", then moves it around. If moving it at first and then doing Ctrl + Z, next time one tries to do the same it behaves as expected.
Comment 1 Dieter 2018-08-21 13:32:13 UTC Comment hidden (obsolete)
Comment 2 david.cortes.rivera 2018-08-21 13:41:36 UTC Comment hidden (obsolete)
Comment 3 Jacques Guilleron 2018-08-22 10:11:18 UTC Comment hidden (obsolete)
Comment 4 david.cortes.rivera 2018-08-22 10:16:32 UTC
(In reply to Jacques Guilleron from comment #3)
> I don't reproduce either with
> LO 6.2.0.0.alpha0+ Build ID: 380d0fda99ff664de8443cfc33c7c86bca18134c
> CPU threads: 2; OS: Windows 6.1; UI render: default; 
> TinderBox: Win-x86@42, Branch:master, Time: 2018-08-16_23:10:54
> Locale: en-US (fr_FR); Calc: CL

Any chance that you could try the linux version?
Comment 5 Timur 2018-08-22 11:04:57 UTC Comment hidden (obsolete)
Comment 6 david.cortes.rivera 2018-08-23 11:18:10 UTC
(In reply to Timur from comment #5)
> Also no repro Win/Lin. 
> Looks more like a mouse issue than bug.
> Please try another mouse or computer.

Tried 2 different mice + the touchpad, and the problem still persists.
Comment 7 Xisco Faulí 2018-08-25 14:19:48 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: e78a6c4231cfb33643b45442b786e1e31b2781a8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

and with gtk
Comment 8 Xisco Faulí 2018-08-25 14:31:41 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

Note: it happens 2/3 times out of 5...
Comment 9 QA Administrators 2019-09-02 09:26:50 UTC Comment hidden (obsolete)
Comment 10 david.cortes.rivera 2019-09-02 16:50:43 UTC
Bug is still present, but what's worse, now sometimes it crashes Writer instead of just annoyingly moving the text.

Version: 6.3.0.4
Build ID: 1:6.3.0-2
CPU threads: 16; OS: Linux 5.2; UI render: GL; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 11 Ayar 2020-07-03 13:54:20 UTC
This bug is still present, I was going to add a bug report but I found this thread instead so I'm reporting it here. As David Cortes points out, Writer crashes when doing the thing.

However to reproduce the it doesn't need to be a selection from the start of the hyperlink.

Version: 6.4.0.3
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: CL
Comment 12 QA Administrators 2022-07-06 03:36:32 UTC
Dear david.cortes.rivera,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug